IMFI Bugs - Bug #387

IMFI - Payroll THR Minus
06/09/2021 05:57 PM - Andi Saputra

Status: Closed Start date: 06/09/2021
Priority: High Due date: 01/31/2022
Assignee: ikawati basri % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 12.00 hours
Description

Dear Team Developer,

Mohon bantuannya untuk dilakukan pengecekan dan perbaikan terkait dengan case THR Minus, setelah dilakukan pengecekan
penyebab nilai THR Minus karena adanya perubahan Work Schedule di bulan berjalan (Bulan Mei ada 2 WS). Sehingga
menyebabkan THR yang sudah dibayarkan di bulan April seolah olah lebih bayar karena adanya perubahan WS di periode bulan
berjalan.

Port : 7071
DB : 77/2014 MinovaHR_ESS_Indomobil _Production

user : minovais
pass : 123Aa
contoh empoyee : 20200841

History

#1 - 01/19/2022 02:49 PM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to Tri Rizqgiaty

#2 - 01/20/2022 11:15 AM - Tri Rizqgiaty

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

Mba Yaya, ini ga tahu statusny apa ya, tolong diupdate aja ya, makasih

#3 - 01/20/2022 01:10 PM - Kezia Pawitra Yulianti
- Due date changed from 06/15/2021 to 01/31/2022

Dear Yomma,

iya ini case dr taun lalu dimana perhitungan THR menjadi minus jika ada perubahan work schedule di tengah bulan dan mendekati holiday calendar
Lebaran

@Ilka: tolong dibantu yaa untuk contoh datanya

Tks

#4 - 01/20/2022 01:10 PM - Kezia Pawitra Yulianti

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty
#5 - 01/20/2022 03:24 PM - ikawati basri
Di sini ya mba Yooma,

Port : 7071
DB : 77/2014 MinovaHR_ESS_Indomobil_Production

user : minovais
pass : 123Aa
contoh Data employee : 20200841

Data employee ini sudah saya sesuaikan dengan data di prod yang mengalami masalah THR Direct yang minus.
#6 - 03/22/2022 04:41 PM - Tri Rizqgiaty

- Status changed from Assigned to Developing

Fixing :
EndDate di table PHRPA0025, untuk WorkScheduleType Puasa tolong diisi sampai hari Lebaran jika '"ACTTGLTHRREF = YES'
#7 - 03/22/2022 04:42 PM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri

#8 - 03/28/2022 10:21 AM - ikawati basri

- Status changed from QA Test to Closed

Work Schedule dengan kode Puasa berpengaruh terhadap perhitungan THR karyawan yang kondisinya di Prorate.

Sehingga, jika melakukan update data Work Schedule dengan kode Puasa, Start Date nya harus dibuat dari awal bulan puasa (tanggal 13 April

2021) dan End Date nya di hari lebaran (13 Mei 2021) , agar meskipun dilakukan update data work schedule yang backdate, tidak akan
menyebabkan pergerakan perhitungan THR karyawan.
